@use 'sass:math';

$blacksWidth: 30px;
$blacksMargin: math.div($blacksWidth, 2);
$whitesWidth: $blacksWidth * 2;

$blacksContainerWidth: ($blacksWidth * 13);

* {
	box-sizing: content-box;
}

body {
	background-color: #343a40;
	color: white;
}

.whites {
	position: absolute;
	color: white;
	display: flex;
	flex-direction: row;

	height: 300px;

	.white {
		background-color: white;
		width: $whitesWidth;
		border: 1px solid black;

		&-chord_name {
			position: absolute;
			background-color: black;
			bottom: 10px;
			display: flex;
			justify-content: center;
			user-select: none;
			width: fit-content;
			width: 30px;
			height: 30px;
			display: grid;
			place-content: center;
			border-radius: 50px;
			margin-left: $blacksMargin;
		}

		&.pressed {
			background-color: #a4c3b2;
		}
	}
}

.blacks {
	pointer-events: none;
	position: relative;
	z-index: 1;
	display: flex;
	flex-direction: row;
	height: 170px;
	margin-left: $blacksWidth;
	// width: 390px;
	width: $blacksContainerWidth;

	.black {
		pointer-events: auto;
		background-color: black;
		width: $blacksWidth;
		margin: 0 $blacksMargin;
		border: 1px solid white;
		display: flex;
		justify-content: center;

		&-chord_name {
			height: fit-content;
			width: fit-content;
			background-color: white;
			color: black;
			border-radius: 20%;
			padding: 2px;
			font-weight: bold;
			user-select: none;
			font-size: 0.75rem;
			display: grid;
			place-items: center;
			// word-break: break-all;
			position: relative;
			top: -30px;
		}

		&.pressed {
			background-color: #6b9080;
			border: 2px solid black;
		}
	}

	.unshow {
		background-color: transparent;
		width: $blacksWidth;
		margin: 0 $blacksMargin;
	}
}
